#!/bin/sh
. ./config.sh

if [ -f vikidia.zim ]; then

echo ""
echo ""
echo "********************************************"
echo "* l'archive ZIM existe a déjà été créée"
echo "* récupérer le fichier vikidia.zim de ce" 
echo "* répertoire :-)"
echo "*"
echo "* pour créer une nouvelle archive, lancez"
echo "* le script ./initialiser.sh puis relancez"
echo "* ce script"
echo "********************************************"

else

echo ""
echo ""
echo "*******************************************"
echo "* construction de la liste des articles "
echo "* restants à télécharger"
echo "*******************************************"
echo ""
echo veuillez patienter...
echo ""

./genListeArticles.sh

nbRestant=$(echo listeArticles.txt | grep . -c listeArticles.txt)
echo ""
echo $nbRestant articles à télécharger

if [ "$nbRestant" -ne "0" ]; then

echo ""
echo ""
echo "*******************************************"
echo "* téléchargement des articles en cours"
echo "* le telechargement s'interompra si tous"
echo "* les articles ont été téléchargée ou à"
echo "* "$HEUREFIN"h "
echo "* "
echo "* relancez ce script chaque soir jusqu'à"
echo "* ce que l'archive zim soit crée"
echo "*****************************************"

sleep 3s

./telechargerListe.sh

else 

echo ""
echo ""
echo "********************************************"
echo "* Tous les fichiers nécéssaires ont été "
echo "* téléhcargés, construction du fichier ZIM"
echo "* en cours (cela va durer quelques temps)"
echo "********************************************"

./corrigeDeuxPoints.sh #patch nécéssaire car kiwix ne prend pas les liens contenant deux points (:)
./buildZim.sh

echo ""
echo ""
echo "********************************************"
echo "* fin de la constuction, veuillez récupérer"
echo "* le fichier vikidia.zim de ce répertoire"
echo "********************************************"

fi

fi
